#==============================================================================
# §package      DE_EPAGES::FacebookBusiness::API::Constants
# §state        public
# §description  Constants for cartridge FacebookBusiness
#==============================================================================
package DE_EPAGES::FacebookBusiness::API::Constants;
use base Exporter;

use strict;

our @EXPORT_OK = qw(
    FACEBOOK_BASE_URL
    FACEBOOK_GRAPH_URL
    FACEBOOK_API_VERSION
    OAUTH_ENDPOINT
    STATE_SEPERATOR
    FACEBOOK_SERVER_URL
    FACEBOOK_SERVER_REQUEST_SECRET
    OAUTH_SCOPES
);

#========================================================================================
# §global   FACEBOOK_BASE_URL | base URL for requests to facebook | string
#========================================================================================
use constant FACEBOOK_BASE_URL => 'https://www.facebook.com/';

#========================================================================================
# §global   FACEBOOK_GRAPH_URL | graph URL for requests to facebook | string
#========================================================================================
use constant FACEBOOK_GRAPH_URL => 'https://graph.facebook.com/';

#========================================================================================
# §global   FACEBOOK_API_VERSION | API version for requests to facebook | string
#========================================================================================
use constant FACEBOOK_API_VERSION => 'v6.0';

#========================================================================================
# §global   OAUTH_ENDPOINT | Endpoint for the oAuth authentication process | string
#========================================================================================
use constant OAUTH_ENDPOINT => '/dialog/oauth?client_id={app-id}&redirect_uri={redirect-uri}&state={state-param}';

#========================================================================================
# §global   STATE_SEPERATOR | seperator character between the MBO redirect URL and
#               the related token in the state parameter of the call to the
#               facebbok oauth endpoint | string
#========================================================================================
use constant STATE_SEPERATOR => '\\';

#========================================================================================
# §global   FACEBOOK_SERVER_URL | URL of the epages FB Server | string
#========================================================================================
use constant FACEBOOK_SERVER_URL => 'https://fb.epages.com/epages/Store.admin/?ViewAction=JSONFBBusinessServer';

#========================================================================================
# §global   FACEBOOK_SERVER_REQUEST_SECRET | Secret used by the communication from the FBClient(Shop) to the epages FB Server | string
#========================================================================================
use constant FACEBOOK_SERVER_REQUEST_SECRET => 'de503a8da05bb94059eb7bd15e8eccc5';

#========================================================================================
# §global   OAUTH_SCOPES | Scopes for the oAuth authentication process | string
#========================================================================================
use constant OAUTH_SCOPES => 'business_management,ads_management';

1;
