#========================================================================================
# package      DE_EPAGES::FacebookBusiness::API::Shop
# state        public
#----------------------------------------------------------------------------------------
# description  This package provides the interface for Shop.
#========================================================================================
package DE_EPAGES::FacebookBusiness::API::Shop;
use base qw( Exporter );

use strict;
our @EXPORT_OK = qw(
    GetPixelScriptTagUrl
);

#========================================================================================
# function     GetPixelScriptTagUrl
#----------------------------------------------------------------------------------------
# syntax       $UnityPixelScriptTagUrl = GetPixelScriptTagUrl($Shop);
#----------------------------------------------------------------------------------------
# description  Returns the URL of the  Facebook Pixel tracking script tag for Unity shops
#----------------------------------------------------------------------------------------
# input        $Shop| shop | object
#----------------------------------------------------------------------------------------
# return       $UnityPixelScriptTagUrl | script tag url | string
#========================================================================================
sub GetPixelScriptTagUrl {
    my ( $Shop ) = @_;

    return $Shop->get('WebServerScriptName') . '?ViewAction=UnityViewFacebookBusinessPixelCode';
}

1;

