#========================================================================================
# package      DE_EPAGES::FacebookBusiness::Hooks::Shop
# state        public
# description  interface for Shop
#========================================================================================
package DE_EPAGES::FacebookBusiness::Hooks::Shop;
use base qw( Exporter );

use strict;

use DE_EPAGES::FacebookBusiness::API::Shop qw ( GetPixelScriptTagUrl );

#========================================================================================
# function     OnRegisterInitialScriptTags
#----------------------------------------------------------------------------------------
# syntax       OnRegisterInitialScriptTags($hParams);
#----------------------------------------------------------------------------------------
# description  Adds the Facebook Pixel script tag to the list of script tags that should
#                   be registered upon creation of a Unity shop
#----------------------------------------------------------------------------------------
# input        $hParams | hook parameter
#               <ul>
#                   <li>Shop - the current Shop - object
#                   <li>ScriptTagUrls - list of scrip tag URLs - ref.array
#               </ul> | ref.hash.*
#========================================================================================
sub OnRegisterInitialScriptTags {
    my ($hParams) = @_;
    my $Shop = $hParams->{'Shop'};

    push @{$hParams->{'ScriptTagUrls'}}, GetPixelScriptTagUrl($Shop);
}

1;
